/* This file should be included once in your project.
   I include it because SDCC will treat each file as
   a code page, and it is better for you to decide
   which page this goes in instead of letting the
   linker try to smash it all together */

static unsigned char app2temp;

/* Delay the specified number of cycles (11-255)
   Each cycle is 200nS */
void delay(unsigned char dly)
{
  app2temp=dly; 
  _asm
  movlw 0xF
  movwf PCLATH
  movf _app2temp,w
  call 0xF23
  _endasm;
}

/* Set the serial port up (19200 baud) */
void serialSetup(void)
{
  _asm
  movlw 0xF
  movwf PCLATH
  call 0xF03
  _endasm;
}

/* Send the character */
void serialSend(unsigned char c)
{
  app2temp=c;
  _asm
  movlw 0xF
  movwf PCLATH
  movf _app2temp,w
  call 0xF14
  _endasm;
}


/* Receive a character (and echo it)
   Blocks until character is ready */
unsigned char serialRcv(void)
{
  _asm
  movlw 0xF
  movwf PCLATH
  call 0xF0E
  movwf _app2temp
  _endasm;
  return app2temp;
}
